atkmm 2.22.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Atk::Hyperlink Class Reference

Encapsulates a link or set of links in a hypertext document. More...

`#include <atkmm/hyperlink.h>`

Inheritance diagram for Atk::Hyperlink:
[legend]

List of all members.

## Public Member Functions
AtkHyperlink* | gobj ()
| Provides access to the underlying C GObject.
const AtkHyperlink* | gobj () const
| Provides access to the underlying C GObject.
AtkHyperlink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_uri (int i) const
| Get a the URI associated with the anchor specified by i of link.
Glib::RefPtr< Atk::Object > | get_object (int i)
| Returns the item associated with this hyperlinks nth anchor.
Glib::RefPtr< const Atk::Object > | get_object (int i) const
| Returns the item associated with this hyperlinks nth anchor.
int | get_end_index () const
| Gets the index with the hypertext document at which this link ends.
int | get_start_index () const
| Gets the index with the hypertext document at which this link begins.
bool | is_valid () const
| Since the document that a link is associated with may have changed this method returns `true` if the link is still valid (with respect to the document it references) and `false` otherwise.
bool | is_inline () const
| Indicates whether the link currently displays some or all of its content inline.
int | get_n_anchors () const
| Gets the number of anchors associated with this hyperlink.
Glib::SignalProxy0< void > | signal_link_activated ()
Glib::PropertyProxy_ReadOnly < bool > | property_selected_link () const
| Specifies whether the AtkHyperlink object is selected.
Glib::PropertyProxy_ReadOnly< int > | property_number_of_anchors () const
| The number of anchors associated with the AtkHyperlink object.
Glib::PropertyProxy_ReadOnly< int > | property_end_index () const
| The end index of the AtkHyperlink object.
Glib::PropertyProxy_ReadOnly< int > | property_start_index () const
| The start index of the AtkHyperlink object.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Hyperlink > | wrap (AtkHyperlink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Encapsulates a link or set of links in a hypertext document.

## Member Function Documentation

int Atk::Hyperlink::get_end_index | ( |  | ) | const

Gets the index with the hypertext document at which this link ends.

Returns:
  The index with the hypertext document at which this link ends.

int Atk::Hyperlink::get_n_anchors | ( |  | ) | const

Gets the number of anchors associated with this hyperlink.

Returns:
  The number of anchors associated with this hyperlink.

Glib::RefPtr<Atk::Object> Atk::Hyperlink::get_object | ( | int | i | ) |

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters:

  i | A (zero-index) integer specifying the desired anchor.

Returns:
  An Atk::Object associated with this hyperlinks i-th anchor.

Glib::RefPtr<const Atk::Object> Atk::Hyperlink::get_object | ( | int | i | ) | const

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters:

  i | A (zero-index) integer specifying the desired anchor.

Returns:
  An Atk::Object associated with this hyperlinks i-th anchor.

int Atk::Hyperlink::get_start_index | ( |  | ) | const

Gets the index with the hypertext document at which this link begins.

Returns:
  The index with the hypertext document at which this link begins.

Glib::ustring Atk::Hyperlink::get_uri | ( | int | i | ) | const

Get a the URI associated with the anchor specified by i of link.

Multiple anchors are primarily used by client-side image maps.

Parameters:

  i | A (zero-index) integer specifying the desired anchor.

Returns:
  A string specifying the URI.

bool Atk::Hyperlink::is_inline | ( |  | ) | const

Indicates whether the link currently displays some or all of its content inline.

Ordinary HTML links will usually return `false`, but an inline <src> HTML element will return `true`. a *

Returns:
  Whether or not this link displays its content inline.

bool Atk::Hyperlink::is_valid | ( |  | ) | const

Since the document that a link is associated with may have changed this method returns `true` if the link is still valid (with respect to the document it references) and `false` otherwise.

Returns:
  Whether or not this link is still valid.

Glib::PropertyProxy_ReadOnly<int> Atk::Hyperlink::property_end_index | ( |  | ) | const

The end index of the AtkHyperlink object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Atk::Hyperlink::property_number_of_anchors | ( |  | ) | const

The number of anchors associated with the AtkHyperlink object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Atk::Hyperlink::property_selected_link | ( |  | ) | const

Specifies whether the AtkHyperlink object is selected.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Atk::Hyperlink::property_start_index | ( |  | ) | const

The start index of the AtkHyperlink object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Atk::Hyperlink::signal_link_activated | ( |  | ) |

Prototype:
  `void on_my_link_activated()`

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Hyperlink > wrap | ( | AtkHyperlink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.